org.eclipse.jgit.util

## Class CachedAuthenticator.CachedAuthentication

- java.lang.Object
- - org.eclipse.jgit.util.CachedAuthenticator.CachedAuthentication

Enclosing class:
  CachedAuthenticator

    public static class CachedAuthenticator.CachedAuthentication
    extends Object

Authentication data to remember and reuse.

### Constructor Summary

Constructors
Constructor and Description
`CachedAuthenticator.CachedAuthentication(String aHost, int aPort, String aUser, String aPass)` Create a new cached authentication.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CachedAuthenticator.CachedAuthentication

    public CachedAuthenticator.CachedAuthentication(String aHost,
                                            int aPort,
                                            String aUser,
                                            String aPass)

Create a new cached authentication.

Parameters:
  `aHost` - system this is for.
  `aPort` - port number of the service.
  `aUser` - username at the service.
  `aPass` - password at the service.